Bug 14006 - about.pl checks the wrong zebra index mode
Summary: about.pl checks the wrong zebra index mode
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: About (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nicole C. Engard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-16 19:13 UTC by Magnus Enger
Modified: 2016-12-05 21:22 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14006: about.pl checks the wrong zebra index mode (1.86 KB, patch)
2015-04-20 18:48 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 14006: about.pl checks the wrong zebra index mode (2.11 KB, patch)
2015-04-23 19:48 UTC, Eivin Giske Skaaren
Details | Diff | Splinter Review
[PASSED QA] Bug 14006: about.pl checks the wrong zebra index mode (2.17 KB, patch)
2015-04-29 05:59 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Magnus Enger 2015-04-16 19:13:37 UTC
about.pl has these lines:

104 if ( (C4::Context->config('zebra_bib_index_mode') eq 'dom') && ($context->{'server'}->{'biblioserver'}->{'config'} !~ /zebra-biblios-dom.cfg/) )     {
105     push @xml_config_warnings, {
106         error => 'zebra_bib_index_mode_mismatch_warn'
107     };
108 }
109 
110 if ( (C4::Context->config('zebra_auth_index_mode') eq 'grs1') && ($context->{'server'}->{'biblioserver'}->{'config'} =~ /zebra-biblios-dom.cfg/)     ) {
111     push @xml_config_warnings, {
112         error => 'zebra_bib_index_mode_mismatch_warn'
113     };
114 }

I think line 110 should be looking at C4::Context->config('zebra_*bib*_index_mode'), not C4::Context->config('zebra_auth_index_mode')?
Comment 1 Tomás Cohen Arazi 2015-04-20 18:48:25 UTC Comment hidden (obsolete)
Comment 2 M. Tompsett 2015-04-22 03:00:24 UTC
(In reply to Tomás Cohen Arazi from comment #1)
> - Reload the about page
> => SUCCESS: A zebra configuration missmatch is shown.

Without the patch, I get one warning. With the patch I get two.
The first is a grs1 is deprecated message, which is valid.
The second is bothersome, because it says I have dom set, but my koha-conf.xml was tweaked to grs1. It also says my configuration looks like it is for grs1, which I had it set up for dom before the single line configuration file tweak. So, the error triggered does not represent the actual problem.

How should we proceed with this?
Comment 3 Eivin Giske Skaaren 2015-04-23 19:48:47 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2015-04-29 05:59:53 UTC
Created attachment 38632 [details] [review]
[PASSED QA] Bug 14006: about.pl checks the wrong zebra index mode

When setting zebra_bib_index_mode to grs1 I get two warnings when not applying the patch:

"The <zebra_bib_index_mode> entry is set to grs1. GRS-1 support is now deprecated and will be removed in future releases. Please use DOM instead by setting <zebra_bib_index_mode> to dom (full reindex required)."

"You have set <use_zebra_facets> but the <zebra_bib_index_mode> is not set to dom. Falling back to legacy facet calculation."

When applying the patch a third warning appears in addition to the two previous ones:

"The <zebra_bib_index_mode> entry is set to dom, but your system still appears to be set up for grs1 indexing."

Seems like the patch does what it should to me regarding the configuration mismatch warning.

Signed-off-by: Eivin Giske Skaaren <eskaaren@yahoo.no>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Tomás Cohen Arazi 2015-05-05 18:44:17 UTC
Fix pushed to master.
Comment 6 Chris Cormack 2015-05-17 05:36:48 UTC
Pushed to 3.18.x will be in 3.18.7
Comment 7 Mason James 2015-05-29 08:22:14 UTC
Pushed to 3.16.x, will be in 3.16.11